/* CSS For the the CIS 195 Page */

/* Google Font Import */
@import url('https://fonts.googleapis.com/css2?family=Pixelify+Sans:wght@400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

/* Reset Rule */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Main Styles */
body {
    background-color: rgb(48, 43, 105);
    color: #EEE;
    font-family: "Pixelify Sans", sans-serif;
    background-image: url(../images/pexels-luis-gomes-166706-546819.jpg);
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
    justify-content: center;
}

h1 {
    font-family: "Pixelify Sans", sans-serif;
    color: #7a39c4;
    text-align: center;
    font-size: 2.5em;
    margin-bottom: 10px;
    background-color: rgba(0, 0, 0, 0.4);
}

ul {
    text-align: center;
    list-style: none;
}

li {
    display: inline-block;
    margin: 0 10px;
    background-color: rgb(48, 43, 105);
}

li a {
    color: rgb(21, 152, 204);
    text-decoration: none;
    font-size: 16pt;
    padding: 16px 24px;
}

li a:hover {
    color: #00ffff;
}

p {
    padding-top: 40px;
    font-family: "Roboto", sans-serif;
    line-height: 1.5;
}

.intro {
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 80%;
    background-color: rgba(0, 0, 0, 0.7);
}

.intro h2 {
    text-align: center;
    margin-top: 2%;
    color: #7a39c4;
    font-size: 1.5em;
}

.hobby-info {
    border-radius: 2px;
    padding: 10px;
    flex-direction: column;
    align-items: center;
    width: 80%;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.7);
}

.hobby-info h2 {
    text-align: center;
    color: #7a39c4;
    font-size: 1.5em;
}

.tools {
    border-radius: 2px;
    padding: 10px;
    flex-direction: column;
    align-items: center;
    width: 80%;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.7);
}

.tools h2 {
    text-align: center;
    color: #7a39c4;
    font-size: 1.5em;
}

.hobby-history h2{
    text-align: center;
    color: #7a39c4;
    font-size: 1.5em;
}

.hobby-history {
    border-radius: 2px;
    max-width: 70ch;
    line-height: 1.5;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.7);
}

.hisory_images {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.oculus_img, .pong_img {
    width: 49%;
    border-radius: 10px;
    box-shadow: 2px 2px 20px rgba(0, 0, 0, 0.5);
}

footer {
	position: relative;
    text-align: center;
	width: 100%;
	color: #EEE;
    margin-top: auto;
	border-top: 1px solid #777;
    background-color: #000000;
    padding: 20px;
    box-sizing: border-box;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

.citation {
    background-color: #000000 !important; 
    font-style: italic;
    line-height: 1.2;
    font-size: .9em;
    padding: 10px;
    text-align: center;
    box-sizing: border-box;
}
